package com.ruoyi.ems.service;

import java.util.List;
import com.ruoyi.ems.domain.AdmEmsDeviceRbook;

/**
 * 设备台账Service接口
 * 
 * @author ruoyi
 * @date 2024-08-26
 */
public interface IAdmEmsDeviceRbookService 
{
    /**
     * 查询设备台账
     * 
     * @param id 设备台账主键
     * @return 设备台账
     */
    public AdmEmsDeviceRbook selectAdmEmsDeviceRbookById(Long id);

    /**
     * 查询设备台账列表
     * 
     * @param admEmsDeviceRbook 设备台账
     * @return 设备台账集合
     */
    public List<AdmEmsDeviceRbook> selectAdmEmsDeviceRbookList(AdmEmsDeviceRbook admEmsDeviceRbook);

    /**
     * 新增设备台账
     * 
     * @param admEmsDeviceRbook 设备台账
     * @return 结果
     */
    public int insertAdmEmsDeviceRbook(AdmEmsDeviceRbook admEmsDeviceRbook);

    /**
     * 修改设备台账
     * 
     * @param admEmsDeviceRbook 设备台账
     * @return 结果
     */
     int updateAdmEmsDeviceRbook(AdmEmsDeviceRbook admEmsDeviceRbook);

    /**
     * 批量删除设备台账
     * 
     * @param ids 需要删除的设备台账主键集合
     * @return 结果
     */
     int deleteAdmEmsDeviceRbookByIds(Long[] ids);

    /**
     * 删除设备台账信息
     * 
     * @param id 设备台账主键
     * @return 结果
     */
    int deleteAdmEmsDeviceRbookById(Long id);
}
